Bug 465374 - Patch to support pdksh (ksh-88) under RHEL5
Patch to support pdksh (ksh-88) under RHEL5
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pdksh (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 18:28 EDT by Donald Harper
Modified: 2009-04-15 15:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-29 05:46:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the command line of sort in siglist.sh (607 bytes, patch)
2008-10-02 18:28 EDT, Donald Harper
no flags Details | Diff

  None (edit)
Description Donald Harper 2008-10-02 18:28:54 EDT
Created attachment 319302 [details]
patch to fix the command line of sort in siglist.sh

I know that support for pdksh (ksh-88) was dropped in the RHEL5 series, and most people would say that you should not be using a 20 year old program, but my employer has a major development system written in ksh-88, and the cost of porting it to ksh-93 is prohibitive in terms of money and time at the present.

So, I offer up a simple one line change against pdksh-5.2.14-30.3 which will let it build and install cleanly against 5.2.
Comment 1 Radek Vokal 2008-10-29 05:46:14 EDT
Hi, since pdksh is dropped from RHEL5 you have two options .. either please open a request at our support - https://www.redhat.com/apps/support/ who will escalate the issue through our product management or take look at EPEL project http://fedoraproject.org/wiki/EPEL , where you can suggest pdksh for review.

Note You need to log in before you can comment on or make changes to this bug.